#
#standard equipment type config file
#
#     Fuel Management Equipment
#
#     Constraint to the Solution config file:
#               Relevant Sampler List: SM IO1
#               Relevant Equipment List: SM IO1
#

#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID	Group Type Flag		Type Name		Type Name Resource ID
2101		0			Fuel Tank		1

#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
6

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression		Value Range				Value Diaplay Attribute		Value Display Level	Value Display ID	Value Display Format	Disp Exp
1		Remained Fuel Height 			2			mm		1				7			F			NA			NA			NA				1/100000				W/L				NA			1			.1			NA
2		Remained Fuel Volume			3			l		-1				-3			F			NA			NA			NA				0.01/1000				W/L				NA			2			.1			NA
3		Remained Fuel Percent			4			%		-1				-3			F			NA			NA			NA				0.01/100				W/L				NA			3			.1			NA
4		Fuel Theft Status			5			NA		-1				-3			E			NA			NA			NA				[ID6=No]/[ID7=Yes]			NA				NA			4			NA			NA
5		Fuel Tank Height Error Status		8			NA		-1				-3			E			NA			NA			NA				[ID6=No]/[ID7=Yes]			NA				NA			5			NA			NA
6		Fuel Tank Config Error Status		80			NA		-1				-3			E			NA			NA			NA				[ID6=No]/[ID7=Yes]			NA				NA			6			NA			NA
99		SMIO failure				1			NA		-1				-2			E			NA			NA			[1,0,99]			[ID6=no]/[ID7=yes]			NA				NA			8			NA			NA      
100		Work status				1			NA		1				19			E			NA			NA			NA				[ID6=no]/[ID7=yes]			NA				NA			7			NA			NA      

#2.2 Define the Control Signals
[CTRL_SIGNAL_NUM]
1

[CTRL_SIGNAL_INFO]
#Sig ID		Sig Name		Sig Name Resource ID	Sig Unit	Index of Sampler List	Sampler Channel ID	Sig Value Type		Value Range		Value Display Attribute		Value Control Attribute		Controlable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Control Step	Control Param	Control Expression	On Control Action	Disp Exp
1		Reset Theft Alarm	10			NA		-1			-3			E			[ID7=Yes]		W/L				W/L				1				O			1			NA 			-3			NA		NA		NA			[0,0,4]=0		NA
2		Finish Cofig		9			NA		-1			-3			E			[ID6=No]/[ID7=Yes]	W/L				W/L				1				O			1			NA 			-3			NA		NA		NA			NA			NA


#2.3 Define the Setting Signals  
[SETTING_SIGNAL_NUM]
52

[SETTING_SIGNAL_INFO]
#Sig ID		Sig Name			Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Default Value		Value Range			Value Display Attribute		Value Setting Attribute		Settable Expression				Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step	Control Expression	Persistence Falg	On Control Action		Disp Exp
1		Fuel Tank Type			11			NA		-1				-3			E			0			[ID62=Square]/[ID63=Standing Cylinder]/[ID64=Laying Cylinder]/[ID65=Multi Sharp]		W/L			W/L		NA	O			11			NA			-3			NA		NA			1			NA				NA
2		Square Tank Length  		12			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==0&[0,2,2]>=0				O			11			.1			-3			0.1		NA			1			NA				[0,2,1]==0
3		Square Tank Width  		13			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==0&[0,2,3]>=0				O			12			.1			-3			0.1		NA			1			NA				[0,2,1]==0
4		Square Tank Height  		14			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==0&[0,2,4]>=0				O			13			.1			-3			0.1		NA			1			NA				[0,2,1]==0
5		Standing Cylinder Diameter	15			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==1&[0,2,5]>=0				O			14			.1			-3			0.1		NA			1			NA				[0,2,1]==1
6		Standing Cylinder Height	16			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==1&[0,2,6]>=0				O			15			.1			-3			0.1		NA			1			NA				[0,2,1]==1
7		Laying Cylinder Diameter	17			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==2&[0,2,7]>=0				O			17			.1			-3			0.1		NA			1			NA				[0,2,1]==2
8		Laying Cylinder Length		18			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==2&[0,2,8]>=0				O			16			.1			-3			0.1		NA			1			NA				[0,2,1]==2
#for multi sharp 20 calibration points                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
10		Number of Calibration Points	20			NA		-1				-3			U			10			10/20				W/L				W/L				[0,2,1]==3					O			20			NA			-3			1		NA			1			NA				[0,2,1]==3
11		Height1 of Calibration Point	21			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,11]>=0&[0,2,10]>=10		O			21			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
12		Volume1 of Calibration Point	22			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,12]>=0&[0,2,10]>=10		O			22			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
13		Height2 of Calibration Point	23			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,13]>=0&[0,2,10]>=10		O			23			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
14		Volume2 of Calibration Point	24			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,14]>=0&[0,2,10]>=10		O			24			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
15		Height3 of Calibration Point	25			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,15]>=0&[0,2,10]>=10		O			25			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
16		Volume3 of Calibration Point	26			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,16]>=0&[0,2,10]>=10		O			26			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
17		Height4 of Calibration Point	27			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,17]>=0&[0,2,10]>=10		O			27			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
18		Volume4 of Calibration Point	28			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,18]>=0&[0,2,10]>=10		O			28			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
19		Height5 of Calibration Point	29			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,19]>=0&[0,2,10]>=10		O			29			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
20		Volume5 of Calibration Point	30			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,20]>=0&[0,2,10]>=10		O			30			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
21		Height6 of Calibration Point	31			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,21]>=0&[0,2,10]>=10		O			31			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
22		Volume6 of Calibration Point	32			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,22]>=0&[0,2,10]>=10		O			32			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
23		Height7 of Calibration Point	33			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,23]>=0&[0,2,10]>=10		O			33			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
24		Volume7 of Calibration Point	34			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,24]>=0&[0,2,10]>=10		O			34			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
25		Height8 of Calibration Point	35			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,25]>=0&[0,2,10]>=10		O			35			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
26		Volume8 of Calibration Point	36			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,26]>=0&[0,2,10]>=10		O			36			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
27		Height9 of Calibration Point	37			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,27]>=0&[0,2,10]>=10		O			37			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
28		Volume9 of Calibration Point	38			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,28]>=0&[0,2,10]>=10		O			38			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
29		Height10 of Calibration Point	39			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,29]>=0&[0,2,10]>=10		O			39			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
30		Volume10 of Calibration Point	40			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,30]>=0&[0,2,10]>=10		O			40			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=10
31		Height11 of Calibration Point	41			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,31]>=0&[0,2,10]>=11		O			41			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=11
32		Volume11 of Calibration Point	42			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,32]>=0&[0,2,10]>=11		O			42			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=11
33		Height12 of Calibration Point	43			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,33]>=0&[0,2,10]>=12		O			43			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=12
34		Volume12 of Calibration Point	44			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,34]>=0&[0,2,10]>=12		O			44			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=12
35		Height13 of Calibration Point	45			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,35]>=0&[0,2,10]>=13		O			45			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=13
36		Volume13 of Calibration Point	46			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,36]>=0&[0,2,10]>=13		O			46			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=13
37		Height14 of Calibration Point	47			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,37]>=0&[0,2,10]>=14		O			47			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=14
38		Volume14 of Calibration Point	48			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,38]>=0&[0,2,10]>=14		O			48			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=14
39		Height15 of Calibration Point	49			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,39]>=0&[0,2,10]>=15		O			49			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=15
40		Volume15 of Calibration Point	50			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,40]>=0&[0,2,10]>=15		O			50			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=15
41		Height16 of Calibration Point	51			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,41]>=0&[0,2,10]>=16		O			51			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=16
42		Volume16 of Calibration Point	52			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,42]>=0&[0,2,10]>=16		O			52			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=16
43		Height17 of Calibration Point	53			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,43]>=0&[0,2,10]>=17		O			53			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=17
44		Volume17 of Calibration Point	54			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,44]>=0&[0,2,10]>=17		O			54			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=17
45		Height18 of Calibration Point	55			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,45]>=0&[0,2,10]>=18		O			55			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=18
46		Volume18 of Calibration Point	56			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,46]>=0&[0,2,10]>=18		O			56			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=18
47		Height19 of Calibration Point	57			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,47]>=0&[0,2,10]>=19		O			57			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=19
48		Volume19 of Calibration Point	58			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,48]>=0&[0,2,10]>=19		O			58			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]>=19
49		Height20 of Calibration Point	59			mm		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,49]>=0&[0,2,10]==20		O			59			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]==20
50		Volume20 of Calibration Point	60			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]==3&[0,2,50]>=0&[0,2,10]==20		O			60			.1			-3			0.1		NA			1			NA				[0,2,1]==3&[0,2,10]==20
#for alarm of the volume of remained fuel
56		Low Fuel Level Limit		66			l		-1				-3			F			0			NA				W/L				W/L				[0,2,1]>=0&[0,2,56]>=0&[0,2,56]<[0,2,57]	O			61			.1			-3			0.1		NA			1			NA				NA
57		High Fuel Level Limit		67			l		-1				-3			F			10000			NA				W/L				W/L				[0,2,1]>=0&[0,2,57]>=0&[0,2,57]>[0,2,56]	O			62			.1			-3			0.1		NA			1			NA				NA
58		Max Consumption Speed		68			l/min		-1				-3			F			1			NA				W/L				W/L				[0,2,1]>=0&[0,2,58]>=0				O			63			.1			-3			0.1		NA			1			NA				NA


#2.4 Define the Alarm Singals
[ALARM_NUM]
5

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name				Alarm Name Resource ID		Alarm Level	Alarm Expression								Alarm Delay	Suppressing Expression					Relay ID
1		High Fuel Level Alarm			71				MA		([0,0,2]>[0,2,57])|([0,3,1]&([0,0,2]>([0,2,57]-1)))				10		[1,3,1]|[0,3,7]|[0,3,8]					NA		
2		Low Fuel Level Alarm			72				MA		([0,0,2]<[0,2,56])|([0,3,2]&([0,0,2]<([0,2,56]+0.5)))				10		[1,3,1]|[0,3,7]|[0,3,8]					NA
3		Fuel Theft Alarm			73				CA		[0,0,4]==1									NA		[1,3,1]|[0,3,7]|[0,3,8]					NA
7		Fuel Tank Height Error			77				OA		[0,0,5]==1									5		[1,3,1]|[0,3,8]						NA
8		Fuel Tank Config Error			78				OA		[0,0,6]==1									NA		[1,3,1]							NA